import { JDLRelationshipType } from '../basic-types/relationships.js';
import JDLRelationship from './jdl-relationship.js';
export default class JDLRelationships {
    relationships: Record<JDLRelationshipType, Map<string, JDLRelationship>>;
    constructor();
    add(relationship: JDLRelationship): void;
    getOneToOne(relationshipId: string): JDLRelationship | undefined;
    getOneToMany(relationshipId: string): JDLRelationship | undefined;
    getManyToOne(relationshipId: string): JDLRelationship | undefined;
    getManyToMany(relationshipId: string): JDLRelationship | undefined;
    get(type: JDLRelationshipType, relationshipId: string): JDLRelationship | undefined;
    oneToOneQuantity(): number;
    oneToManyQuantity(): number;
    manyToOneQuantity(): number;
    manyToManyQuantity(): number;
    size(): number;
    forEach(passedFunction: (relationship: JDLRelationship) => void): void;
    toArray(): JDLRelationship[];
    toString(): string;
}
